Package org.springframework.beans.factory

# Class BeanInitializationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.beans.BeansException
org.springframework.beans.FatalBeanException
org.springframework.beans.factory.BeanInitializationException

All Implemented Interfaces:
  `Serializable`

public class BeanInitializationException extends FatalBeanException
Exception that a bean implementation is suggested to throw if its own factory-aware initialization code fails. BeansExceptions thrown by bean factory methods themselves should simply be propagated as-is.

Note that `afterPropertiesSet()` or a custom "init-method" can throw any exception.

Since:
  13.11.2003
Author:
  Juergen Hoeller
See Also:
  - `BeanFactoryAware.setBeanFactory(org.springframework.beans.factory.BeanFactory)`
  - `InitializingBean.afterPropertiesSet()`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BeanInitializationException(String msg)`
Create a new BeanInitializationException with the specified message.
`BeanInitializationException(String msg, Throwable cause)`
Create a new BeanInitializationException with the specified message and root cause.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BeanInitializationException

public BeanInitializationException(String msg)
Create a new BeanInitializationException with the specified message.

Parameters:
  `msg` - the detail message

### BeanInitializationException

public BeanInitializationException(String msg, Throwable cause)
Create a new BeanInitializationException with the specified message and root cause.

Parameters:
  `msg` - the detail message
  `cause` - the root cause